VERSION 5.00
Begin VB.Form frmFileSave 
   Caption         =   "Save file"
   ClientHeight    =   3510
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7020
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   3510
   ScaleWidth      =   7020
   StartUpPosition =   3  'Windows ̊l
   Begin VB.TextBox txtFilename 
      Height          =   330
      Left            =   3600
      TabIndex        =   5
      Top             =   360
      Width           =   3375
   End
   Begin VB.DriveListBox drvFile 
      Height          =   315
      Left            =   120
      TabIndex        =   4
      Top             =   360
      Width           =   3375
   End
   Begin VB.DirListBox dirFile 
      Height          =   1890
      Left            =   120
      TabIndex        =   3
      Top             =   1080
      Width           =   3375
   End
   Begin VB.FileListBox filFile 
      Height          =   1845
      Left            =   3600
      TabIndex        =   2
      Top             =   1080
      Width           =   3375
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   3840
      TabIndex        =   1
      Top             =   3060
      Width           =   1455
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5400
      TabIndex        =   0
      Top             =   3060
      Width           =   1455
   End
   Begin VB.Label Label3 
      Caption         =   "Folder"
      Height          =   195
      Left            =   120
      TabIndex        =   8
      Top             =   840
      Width           =   735
   End
   Begin VB.Label Label2 
      Caption         =   "Drive"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "Save file"
      Height          =   255
      Left            =   3600
      TabIndex        =   6
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "frmFileSave"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' *****************************************************************
' *                                                               *
' *       Copyright (c) Fast Corporation, 2002                    *
' *                                                               *
' *   All Rights Reserved.  Unpublished rights  reserved  under   *
' *   the copyright laws of the Japan.                            *
' *                                                               *
' *   The software contained on this media  is  proprietary  to   *
' *   and  embodies  the  confidential  technology  of  Fast      *
' *   Corporation.  Possession, use,  duplication  or             *
' *   dissemination of the software and media is authorized only  *
' *   pursuant to a valid written license from Fast Corporation.  *
' *                                                               *
' *****************************************************************
'
' -------------------------------------------------------------------
' FVX Sample Program
' File selection dialog
'
' Maker : K.Kotajima
'
' History : 2002/06/19 First edition
' -------------------------------------------------------------------
Option Explicit

Private m_strDefaultExtension As String 'The extension attached when an extension is not specified
Private m_strPattern As String          'Extension filter
Private m_strFilePath As String         'Preservation file name(Full path)

Public Property Let strPattern(strPat As String)
    m_strPattern = strPat
    filFile.Pattern = m_strPattern
End Property

Public Property Let strDefaultExtension(strExt As String)
    m_strDefaultExtension = strExt
End Property

Public Property Get strFilePath() As String
    strFilePath = m_strFilePath
End Property


Private Sub Form_Initialize()
    'All files are displayed in the state of the first stage.
    m_strPattern = "*.*"
End Sub

Private Sub Form_Load()
    filFile.Pattern = m_strPattern
    
    drvFile.Drive = Left$(App.Path, 1)
    dirFile.Path = App.Path
End Sub


Private Sub drvFile_Change()
    On Error GoTo drvFile_Change_ErrHandle
    
    'Since a volume label also returns a Drive property, this is deleted.
    dirFile.Path = Left$(drvFile.Drive, 1) & ":\"
    
    Exit Sub
drvFile_Change_ErrHandle:
    MsgBox Err.Number & " : " & Err.Description
    drvFile.Drive = Left$(dirFile.Path, 1)
End Sub
Private Sub dirFile_Change()
    filFile.Path = dirFile.Path
End Sub

Private Sub filFile_Click()
    txtFilename.Text = filFile.FileName
End Sub

Private Sub cmdOK_Click()
    Dim strBuff As String
    
    If txtFilename.Text = "" Then
        MsgBox "Please input a file name.", vbExclamation, "Error"
        Exit Sub
    End If
    
    'The full path of a file is acquired.
    strBuff = dirFile.Path
    If Right$(strBuff, 1) <> "\" Then strBuff = strBuff & "\"
    strBuff = strBuff & txtFilename.Text
    
    'The addition of an extension
    If 0 = InStrRev(strBuff, ".") Then
        'When the extension is not attached to the inputted file name
        strBuff = strBuff & "." & m_strDefaultExtension
    End If
    
    m_strFilePath = strBuff
    
    Unload Me
End Sub

Private Sub cmdCancel_Click()
    m_strFilePath = ""
    Unload Me
End Sub


